/******************************************************************************
 * CreateAccountStatusInterface.java - Pass status to the New Account dialog.
 * $Id: CreateAccountStatusInterface.java,v 1.3 2010/03/03 13:12:21 inim Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright© 2009,2010 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: CreateAccountStatusInterface.java,v $
 * Revision 1.3  2010/03/03 13:12:21  inim
 * Replaced (c) sign in comment mangled by CVS default encoding back to UTF-8
 *
 * Revision 1.2  2010/03/03 12:19:49  inim
 * Moved source to UTF8 encoding from CP1252 encoding. To this end all source files' (c) message was updated to "Copyright© 2009,2010 - Dick Balaska - BuckoSoft, Corp.". This replaces the (c) sign to UTF8, and adds the new year 2010.
 *
 * Revision 1.1  2010/02/04 05:57:53  inim
 * Mavenized project folder layout
 *
 * Revision 1.3  2009/01/28 18:15:09  dick
 * Prettier cvs link in the javadoc.
 *
 * Revision 1.2  2009/01/06 08:24:27  dick
 * Javadoc.
 *
 * Revision 1.1  2009/01/06 08:10:07  dick
 * Pass status to the New Account dialog.
 *
 */
package com.buckosoft.fibs.BuckoFIBS.gui.account;

/** Pass status to the New Account dialog.
 * We don't just use the dialog because this extracts all of the drawing stuff we don't want. 
 * @author Dick Balaska
 * @since 2009/01/05
 * @version $Revision: 1.3 $ <br> $Date: 2010/03/03 13:12:21 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/BuckoFIBS/gui/account/CreateAccountStatusInterface.java">cvs CreateAccountStatusInterface.java</a>
 */
public interface CreateAccountStatusInterface {
	/** Display a message in the dialog box
	 * @param s The message to display
	 */
	void setStatus(String s);
	
	/** Handle a successful registration.
	 * (Closes the dialog box).
	 */
	void onRegisterSuccess();
	
	/** Handle a failed registration.
	 * (disables the create button until something is typed)
	 */
	void onRegisterFailure();
}
