/******************************************************************************
 * BoardTest.java - Test backgammon board drawing
 * $Id: BoardTest.java,v 1.5 2010/12/30 04:09:22 dick Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright© 2009,2010 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: BoardTest.java,v $
 * Revision 1.5  2010/12/30 04:09:22  dick
 * test6 = 41 bearoff.  test7 = 55 bearoff.
 *
 * Revision 1.4  2010/12/29 07:50:05  dick
 * Display the dice in grey as they are used up.
 *
 * Revision 1.3  2010/03/03 13:12:21  inim
 * Replaced (c) sign in comment mangled by CVS default encoding back to UTF-8
 *
 * Revision 1.2  2010/03/03 12:19:49  inim
 * Moved source to UTF8 encoding from CP1252 encoding. To this end all source files' (c) message was updated to "Copyright© 2009,2010 - Dick Balaska - BuckoSoft, Corp.". This replaces the (c) sign to UTF8, and adds the new year 2010.
 *
 * Revision 1.1  2010/02/04 05:57:53  inim
 * Mavenized project folder layout
 *
 * Revision 1.5  2009/02/14 15:24:43  dick
 * BuckoFIBS is released under the GNU license.
 *
 * Revision 1.4  2009/02/12 06:28:17  dick
 * A bearing off test board.
 *
 * Revision 1.3  2009/02/06 07:56:49  dick
 * Working on doubles.
 *
 * Revision 1.2  2009/01/31 08:50:54  dick
 * yourMove(int) takes the number of checkers to move.
 *
 * Revision 1.1  2009/01/28 19:37:28  dick
 * package com.buckosoft.fibs.gui.board becomes com.buckosoft.fibs.BuckoFIBS.gui.board.
 *
 * Revision 1.17  2009/01/28 08:31:14  dick
 * Javadoc.
 *
 * Revision 1.16  2009/01/22 05:05:22  dick
 * More test frameworks.
 *
 * Revision 1.15  2009/01/18 05:26:24  dick
 * Javadoc.
 *
 * Revision 1.14  2009/01/18 05:07:30  dick
 * BoardTest needs a BFProperties and a CommandDispatcher now.
 *
 * Revision 1.13  2009/01/10 05:06:39  dick
 * development foo.
 *
 * Revision 1.12  2009/01/08 18:56:29  dick
 * Use BoardTab instead of just BoardPane.
 *
 * Revision 1.11  2008/12/20 23:03:02  dick
 * Add fibsBoard1 for testing.
 *
 * Revision 1.10  2008/12/16 20:08:35  dick
 * Testing painting on the bar.
 *
 * Revision 1.9  2008/12/12 14:46:11  dick
 * Update drawing to the new FIBS based board (based on points instead of checkers).
 *
 * Revision 1.8  2008/12/10 23:46:59  dick
 * Drawing nice dice.
 *
 * Revision 1.7  2008/12/10 21:56:31  dick
 * Dice testing.
 *
 * Revision 1.6  2008/12/09 19:38:32  dick
 * Commentality.
 *
 * Revision 1.5  2008/12/08 10:17:35  dick
 * Debugging stuff.
 *
 * Revision 1.4  2008/12/08 06:46:08  dick
 * Initialize a Board and assign checker positions to it.
 *
 * Revision 1.3  2008/04/07 06:13:40  dick
 * Use a bigger test board.
 *
 * Revision 1.2  2008/04/05 01:43:42  dick
 * Commentality.
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is BuckoFIBS, <http://www.buckosoft.com/BuckoFIBS/>.
 * The Initial Developer of the Original Code is Dick Balaska and BuckoSoft, Corp.
 * 
 */
package com.buckosoft.fibs.BuckoFIBS.gui.board;

import java.awt.BorderLayout;

import javax.swing.JDialog;
import javax.swing.JPanel;

import com.buckosoft.fibs.BuckoFIBS.BFProperties;
import com.buckosoft.fibs.BuckoFIBS.CommandDispatcher;
import com.buckosoft.fibs.BuckoFIBS.gui.board.test.BoardTestCommandDispatcher;
import com.buckosoft.fibs.board.Board;

/** Test backgammon board drawing
 * @author Dick Balaska
 * @since 2008/04/01
 * @version $Revision: 1.5 $ <br> $Date: 2010/12/30 04:09:22 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/BuckoFIBS/gui/board/BoardTest.java">cvs BoardTest.java</a>
 */
@SuppressWarnings("unused")
public class BoardTest extends JDialog {
	private static final long serialVersionUID = 1L;

	BFProperties		properties;
	CommandDispatcher	commandDispatcher;

	private JPanel 		jContentPane = null;
	//private BoardPane boardPane = null;
	private BoardTab 	boardTab = null;
	private Board		board = new Board();

	private	int[] checkerTest0 = new int[] { 0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,24,24,24,25};
	private	int[] checkerTest1 = new int[] { 1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,25,25,25,25,25};
	// standard opening board
	private String fibsBoard = "board:You:someplayer:3:0:0:1:-2:0:0:0:0:5:0:3:0:0:0:-5:5:0:0:0:-3:0:-5:0:0:0:0:2:2:1:4:4:0:0:1:1:1:0:1:-1:0:25:0:0:0:0:2:0:0:0";
	private	String fibsBoard1 = "board:janana:daveyp:5:1:1:0:-2:0:0:0:-1:5:0:3:0:2:0:-4:3:-1:0:0:-2:0:-2:-1:-2:0:0:1:1:1:0:0:6:1:1:0:1:0:-1:1:25:0:0:0:0:1:2:6:0:0";
	// blotslot = 1 blitzxz = 0
	private	String fibsBoard2 = "board:blitzxz:blotsalot:5:0:1:0:0:2:-2:0:2:3:3:2:3:0:0:0:0:0:0:0:-1:-1:-3:-2:-2:-2:-2:0:0:-1:0:0:0:0:2:1:0:0:-1:1:25:0:0:0:0:0:2:3:0:0";
	// playing backwards
	private String fibsBoard3 = "board:You:JavaFIBS:5:0:0:0:-2:0:0:0:0:5:0:3:0:0:0:-5:5:0:0:0:-3:0:-5:0:0:0:0:2:0:-1:2:1:0:0:1:1:1:0:-1:1:25:0:0:0:0:0:2:0:0:0";
	// opponent has doubled
	private String fibsBoard5 = "board:You:JavaFIBS:6:0:0:0:-2:0:0:0:0:5:0:3:0:0:0:-11:6:0:0:0:-3:0:-5:0:0:0:0:2:0:-1:0:0:0:0:1:1:1:1:-1:1:25:0:0:0:0:0:2:0:0:0";
	private String fibsBoard6 = "board:You:JavaFIBS:6:0:0:0:-2:0:0:0:0:5:0:3:0:0:0:-11:6:0:0:0:-3:0:-5:0:0:0:0:2:0:-1:0:0:0:0:1:1:1:0:-1:1:25:0:0:0:0:0:2:0:0:0";
	private String fibsBoard4 = "board:You:someplayer:3:0:0:1:-2:0:0:0:0:5:0:3:0:0:0:-5:5:0:0:0:-3:0:-5:0:0:0:0:2:2:1:5:2:0:0:1:1:1:0:1:-1:0:25:0:0:0:0:2:0:0:0";
	// bearing off
	private String fibsBoard7 = "board:You:dickbalaska:35:5:7:0:3:3:2:1:3:1:0:0:0:0:0:0:0:0:0:0:0:0:-4:-3:-2:-1:-3:-2:0:-1:1:4:0:0:1:1:1:0:-1:1:25:0:0:2:0:0:2:0:0:0";
	// bearing off w/55
	private String fibsBoard8 = "board:You:dickbalaska:35:5:7:0:3:3:2:1:3:1:0:0:0:0:0:0:0:0:0:0:0:0:-4:-3:-2:-1:-3:-2:0:-1:5:5:0:0:1:1:1:0:-1:1:25:0:0:2:0:0:2:0:0:0";
	

	/**
	 * This method initializes boardPanel	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getBoardPanel() {
		if (boardTab == null) {
			boardTab = new BoardTab();
			boardTab.setCommandDispatcher(commandDispatcher);
			board.parseFibsBoard(fibsBoard7);
//			board.setAcceptDeclineDouble();
//			board.setYourTurnToRollOrDouble(true);
//			board.setYouDouble(true);
			boardTab.setBoard(board);
			boardTab.yourMove(4);
//			boardTab.getBoardGui().diceUsed[3] = true;
//			boardTab.getBoardGui().diceUsed[0] = true;
//			boardTab.getBoardGui().diceUsed[1] = true;
			boardTab.updateBoard();
		}
		return boardTab;
	}

	/** Start the BoardTest
	 * @param args
	 */
	public static void main(String[] args) {
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				BoardTest bt = new BoardTest();
				bt.setVisible(true);
			}
		});
	}

	/** Default constructor
	 */
	public BoardTest() {
		super();
		this.properties = new BFProperties();
		this.commandDispatcher = new BoardTestCommandDispatcher();
		this.commandDispatcher.setProperties(properties);
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(500, 400);
		this.setContentPane(getJContentPane());
		this.setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(new BorderLayout());
			jContentPane.add(getBoardPanel(), BorderLayout.CENTER);
		}
		return jContentPane;
	}

}
