/******************************************************************************
 * BoardTestCommandDispatcher.java - Dummy CommandDispatcher for testing backgammon board drawing
 * $Id: BoardTestCommandDispatcher.java,v 1.4 2010/12/22 04:36:49 dick Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright© 2009,2010 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: BoardTestCommandDispatcher.java,v $
 * Revision 1.4  2010/12/22 04:36:49  dick
 * Add dummy getMainDialog().
 *
 * Revision 1.3  2010/03/03 13:12:22  inim
 * Replaced (c) sign in comment mangled by CVS default encoding back to UTF-8
 *
 * Revision 1.2  2010/03/03 12:19:49  inim
 * Moved source to UTF8 encoding from CP1252 encoding. To this end all source files' (c) message was updated to "Copyright© 2009,2010 - Dick Balaska - BuckoSoft, Corp.". This replaces the (c) sign to UTF8, and adds the new year 2010.
 *
 * Revision 1.1  2010/02/04 05:57:53  inim
 * Mavenized project folder layout
 *
 * Revision 1.6  2009/02/24 05:51:12  dick
 * Add dummy ropChanged().
 *
 * Revision 1.5  2009/02/14 15:34:31  dick
 * BuckoFIBS is released under the GNU license.
 * Javadoc.
 *
 * Revision 1.4  2009/02/05 05:58:56  dick
 * Get rid of the toodoo markers.
 *
 * Revision 1.3  2009/02/03 09:47:47  dick
 * Dummy message handling needed by CommandDispatcher.
 *
 * Revision 1.2  2009/01/31 06:02:59  dick
 * Add a dummy for the ToolbarHandler.buttonPressed().
 *
 * Revision 1.1  2009/01/28 19:38:02  dick
 * package com.buckosoft.fibs.gui.board.test becomes com.buckosoft.fibs.BuckoFIBS.gui.board.test.
 *
 * Revision 1.2  2009/01/28 18:15:24  dick
 * Prettier cvs link in the javadoc.
 *
 * Revision 1.1  2009/01/18 05:12:53  dick
 * Dummy CommandDispatcher for testing backgammon board drawing.
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is BuckoFIBS, <http://www.buckosoft.com/BuckoFIBS/>.
 * The Initial Developer of the Original Code is Dick Balaska and BuckoSoft, Corp.
 * 
 */
package com.buckosoft.fibs.BuckoFIBS.gui.board.test;

import com.buckosoft.fibs.BuckoFIBS.BFProperties;
import com.buckosoft.fibs.BuckoFIBS.CommandDispatcher;
import com.buckosoft.fibs.BuckoFIBS.gui.MainDialog;

/** Dummy CommandDispatcher for testing backgammon board drawing
 * @author Dick Balaska
 * @since 2009/01/17
 * @version $Revision: 1.4 $ <br> $Date: 2010/12/22 04:36:49 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/BuckoFIBS/gui/board/test/BoardTestCommandDispatcher.java">cvs BoardTestCommandDispatcher.java</a>
 */
public class BoardTestCommandDispatcher implements CommandDispatcher {
	private	BFProperties	properties;

	/* (non-Javadoc)
	 * @see com.buckosoft.fibs.BuckoFIBS.CommandDispatcher#dispatch(com.buckosoft.fibs.BuckoFIBS.CommandDispatcher.Command)
	 */
	@Override
	public void dispatch(Command command) {
		System.out.println("dispatch: " + command.toString());
	}

	/* (non-Javadoc)
	 * @see com.buckosoft.fibs.BuckoFIBS.CommandDispatcher#dispatch(com.buckosoft.fibs.BuckoFIBS.CommandDispatcher.Command, java.lang.String)
	 */
	@Override
	public void dispatch(Command command, String arg1) {
		System.out.println("dispatch: " + command.toString() + " arg1:'" + arg1 + "'");
	}

	/* (non-Javadoc)
	 * @see com.buckosoft.fibs.BuckoFIBS.CommandDispatcher#dispatch(com.buckosoft.fibs.BuckoFIBS.CommandDispatcher.Command, java.lang.Object)
	 */
	@Override
	public void dispatch(Command command, Object obj) {
		System.out.println("dispatch object: " + command.toString());
	}

	/* (non-Javadoc)
	 * @see com.buckosoft.fibs.BuckoFIBS.CommandDispatcher#dispatch(com.buckosoft.fibs.BuckoFIBS.CommandDispatcher.Command, java.lang.String, java.lang.String)
	 */
	@Override
	public void dispatch(Command command, String arg1, String arg2) {
		System.out.println("dispatch: " + command.toString() + " arg1:'" + arg1 + "'" + " arg2:'" + arg2 + "'");
	}

	/* (non-Javadoc)
	 * @see com.buckosoft.fibs.BuckoFIBS.CommandDispatcher#getProperties()
	 */
	@Override
	public BFProperties getProperties() {
		return(this.properties);
	}

	/** dummy method
	 * @see com.buckosoft.fibs.BuckoFIBS.CommandDispatcher#setMainDialog(com.buckosoft.fibs.BuckoFIBS.gui.MainDialog)
	 */
	@Override
	public void setMainDialog(MainDialog mainDialog) {
	}

	/** (non-Javadoc)
	 * @see com.buckosoft.fibs.BuckoFIBS.CommandDispatcher#setProperties(com.buckosoft.fibs.BuckoFIBS.BFProperties)
	 */
	@Override
	public void setProperties(BFProperties properties) {
		this.properties = properties;
	}

	/* (non-Javadoc)
	 * @see com.buckosoft.fibs.BuckoFIBS.gui.board.ToolbarHandler#buttonPressed(com.buckosoft.fibs.BuckoFIBS.gui.board.ToolbarHandler.Button)
	 */
	@Override
	public void buttonPressed(Button button) {
	}

	/* (non-Javadoc)
	 * @see com.buckosoft.fibs.BuckoFIBS.CommandDispatcher#writeChatMessageln(java.lang.String, int, java.lang.String)
	 */
	@Override
	public void writeChatMessageln(String name, int cookie, String text) {
	}

	/* (non-Javadoc)
	 * @see com.buckosoft.fibs.BuckoFIBS.CommandDispatcher#writeGameMessageln(java.lang.String)
	 */
	@Override
	public void writeGameMessageln(String s) {
	}

	/* (non-Javadoc)
	 * @see com.buckosoft.fibs.BuckoFIBS.CommandDispatcher#writeNetworkMessageln(java.lang.String)
	 */
	@Override
	public boolean writeNetworkMessageln(String s) {
		return false;
	}

	/* (non-Javadoc)
	 * @see com.buckosoft.fibs.BuckoFIBS.CommandDispatcher#writeRegisterUserMessage(java.lang.String)
	 */
	@Override
	public void writeRegisterUserMessage(String s) {
	}

	/* (non-Javadoc)
	 * @see com.buckosoft.fibs.BuckoFIBS.CommandDispatcher#writeSystemMessage(int, java.lang.String)
	 */
	@Override
	public void writeSystemMessage(int type, String s) {
	}

	/* (non-Javadoc)
	 * @see com.buckosoft.fibs.BuckoFIBS.CommandDispatcher#writeSystemMessageln(int, java.lang.String)
	 */
	@Override
	public void writeSystemMessageln(int type, String s) {
	}

	/* (non-Javadoc)
	 * @see com.buckosoft.fibs.BuckoFIBS.CommandDispatcher#writeSystemMessageln(java.lang.String)
	 */
	@Override
	public void writeSystemMessageln(String s) {
	}

	/* (non-Javadoc)
	 * @see com.buckosoft.fibs.BuckoFIBS.CommandDispatcher#ropChanged(boolean[])
	 */
	@Override
	public void ropChanged(boolean[] rop) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public MainDialog getMainDialog() {
		// TODO Auto-generated method stub
		return null;
	}
	
}
